package de.w665.sharepulse.rest.mappings;

import de.w665.sharepulse.db.repo.FileUploadRepository;
import de.w665.sharepulse.model.FileUpload;
import de.w665.sharepulse.rest.SecureApiRestController;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
public class UploadHistory extends SecureApiRestController {

    private final FileUploadRepository fileUploadRepository;

    public UploadHistory(FileUploadRepository fileUploadRepository) {
        this.fileUploadRepository = fileUploadRepository;
    }

    @GetMapping("/test")
    public ResponseEntity<Object> test(HttpServletRequest request) {
        log.debug("Received test request");
        return ResponseEntity.ok("Test successful");
    }

    @GetMapping("/upload-history")
    public ResponseEntity<Object> getUploadHistory(HttpServletRequest request, HttpServletResponse response) {
        List<FileUpload> fileUploadList = fileUploadRepository.findAll();
        log.debug("Received upload history request");
        return ResponseEntity.ok(fileUploadList);
    }
}
